<form [formGroup]="form" #f='ngForm'>
  <div class="form-group row">
    <div class="col-sm-10 col-md-6">
      <label for="name" class="col-form-label">MOD</label>
      <input type="text" formControlName="mod" class="form-control">
    </div>
    <div class="col-sm-10 col-md-6">
      <label for="name" class="col-form-label">Application</label>
      <input type="text" formControlName="app_name" class="form-control">
    </div>
  </div>
  <div class="form-group row">
    <div class="col-sm-10 col-md-6">
      <label for="name" class="col-form-label">Project</label>
      <input type="text" formControlName="proj_name" class="form-control">
    </div>
    <div class="col-sm-10 col-md-6">
      <label for="name" class="col-form-label">CIO-2 Kickoff Date</label>
      <div class="input-group">
        <input type="text" formControlName="kickoff_date" class="form-control" ngbDatepicker #kickoff_date="ngbDatepicker">
        <div class="input-group-append">
          <button class="btn btn-outline-secondary" (click)="kickoff_date.toggle()" type="button">
            <i class="fa fa-calendar"></i>
          </button>
        </div>
      </div>

    </div>
  </div>
  <nav class="nav nav-tabs nav-fill">
    <a class="nav-item nav-link" routerLink="quality" routerLinkActive="active">Quality</a>
    <a class="nav-item nav-link" routerLink="sprint" routerLinkActive="active">Sprint</a>
    <a class="nav-item nav-link" routerLink="capture" routerLinkActive="active">Capture</a>
    <a class="nav-item nav-link" routerLink="portfolio" routerLinkActive="active">Portfolio</a>
    <a class="nav-item nav-link" routerLink="role" routerLinkActive="active">Role</a>
  </nav>
  <router-outlet></router-outlet>
</form>

<div *ngIf='isEditable && (authorized$ | async )'>
  <div style="height: 50px;"></div>

  <div class='fixed-bottom-save'>
    <button class="btn btn-primary" type="button" (click)="save()" [disabled]='!f.touched || !f.dirty'>Save</button>
    <button class="btn btn-danger ml-2" type="button" (click)="cancel()" [disabled]='!f.touched || !f.dirty'>Cancel</button>
  </div>
</div>
